<?php
/*
 CLASE PARA LA GESTION DE PROFESORES
*/
require_once "db.class.php";

class profesor extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE PROFESORES
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */
        function profesor(){}


        //----------------------------------
        function total_reg()
	{
	   //conexion a la base de datos
	   $this->conectar();$this->consulta("set names 'utf8'");
           $query = $this->consulta("select * from profesores");

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function profesoress($inicio)
	{
                $data=array();
		//conexion a la base de datos
		$this->conectar();

                $query = $this->consulta("select * from profesores order by nombres limit ".$inicio.",10");

                $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) )
				$data[] = $tsArray;

			
		}
                return $data;
	}

}

?>
